%define name    kaxtv
%define version 0.23
#%define pre	1
%define release 3andyrtr

# menu 

%define section Multimedia/Video
%define title	KaxTV

%define summary KDE Software desktop DVB player.

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License: 	GPL
Group:		Video
BuildRoot:      %_tmppath/%name-buildroot
Source: 	http://perso.club-internet.fr/hftom/kaxtv/%{name}-%{version}.tar.bz2
Patch0:		kaxtv-0.23.2.astra-scan-fix.bz2
URL:		http://perso.club-internet.fr/hftom/kaxtv/

%description
KDE Software desktop DVB player.

%prep
%setup -q
%patch0 -p1
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-rpath

%build
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl kaxtv "Multimedia/Video"  %buildroot/%_datadir/applnk/Applications/kaxtv.desktop %buildroot/%_menudir/kaxtv
rm -f %buildroot/%_datadir/applnk/Applications/kaxtv.desktop

#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
cp %buildroot/usr/share/icons/hicolor/16x16/apps/kaxtv.png %buildroot/%_miconsdir/%{name}.png
cp %buildroot/usr/share/icons/hicolor/64x64/apps/kaxtv.png %buildroot/%_liconsdir/%{name}.png

%find_lang %name

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/*
%{_menudir}/*

%dir %{_datadir}/apps/kaxtv/
%{_datadir}/apps/kaxtv/*
%_datadir/doc/HTML/*
%_liconsdir/*
%_iconsdir/*
%_miconsdir/*

%changelog
* Fri Jan 28 2005 AndyRTR <andreas.radke@freenet.de> 0.23-3andyrtr
 - fix icon location bug

* Fri Jan 28 2005 AndyRTR <andreas.radke@freenet.de> 0.23-2andyrtr
 - new version 0.23.2

* Fri Jan 28 2005 AndyRTR <andreas.radke@freenet.de> 0.23-1andyrtr
 - rebuilt 0.23.1 for Mandrake 10.1

* Fri Jun 20 2003 Steffen Barszus <st_barszus@gmx.de> 0.2.3-1mdk
 - initial package

